Bug 260201 (gsl-2.7.1) - [exp-run] Update math/gsl to 2.7.1
Summary: [exp-run] Update math/gsl to 2.7.1
Status: Closed FIXED
Alias: gsl-2.7.1
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-04 08:07 UTC by Tobias C. Berner
Modified: 2022-01-12 19:43 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments
v1 (1.53 KB, patch)
2021-12-04 08:07 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-12-04 08:07:05 UTC
Created attachment 229874 [details]
v1

Moin moin 

I'd like to ask for an exp-run to update math/gsl to 2.7.1.

The patch is attached, and can also be found here:

https://people.freebsd.org/~tcberner/patches/0001-math-gsl-update-to-2.7.1.patch


mfg Tobias
Comment 2 commit-hook freebsd_committer 2021-12-11 10:04:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=37f85ee5cf12715887ca04ad3c5e58856e987665

commit 37f85ee5cf12715887ca04ad3c5e58856e987665
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-12-11 09:58:23 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-12-11 10:03:59 +0000

    math/p5-Math-GSL: prepare for math/gsl-2.7.1

    - Note, this project seems mostly dead upstream and the
      support for gsl 2.7.* is likely not really functional.

    PR:             260201

 math/p5-Math-GSL/files/patch-inc_Ver2Func.pm | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)
Comment 3 Tobias C. Berner freebsd_committer 2022-01-12 18:13:51 UTC
Moin moin

Antoine, is there something left to do?

mfg Tobias
Comment 4 Antoine Brodin freebsd_committer 2022-01-12 18:33:13 UTC
There was only 1 failure so it should be fine
Comment 5 commit-hook freebsd_committer 2022-01-12 19:42:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=96b10354587b1757131cb23d32cfc464aa423771

commit 96b10354587b1757131cb23d32cfc464aa423771
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-12-04 08:03:22 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2022-01-12 19:37:04 +0000

    math/gsl: update to 2.7.1

    Update fixes libtool version numbers

    PR:             260201
    Exp-run by:     antoine

 math/gsl/Makefile  | 2 +-
 math/gsl/distinfo  | 6 +++---
 math/gsl/pkg-plist | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)
Comment 6 commit-hook freebsd_committer 2022-01-12 19:42:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=654acd81409d31495f8b1b11db61e1afbf640981

commit 654acd81409d31495f8b1b11db61e1afbf640981
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2022-01-12 19:41:04 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2022-01-12 19:41:22 +0000

    math/gsl: bump portrevision of consumers after update to 2.7.1

    PR:             260201

 astro/astrometry/Makefile        | 2 +-
 astro/gnuastro/Makefile          | 1 +
 astro/siril/Makefile             | 2 +-
 astro/stellarsolver/Makefile     | 2 +-
 audio/snd/Makefile               | 2 +-
 benchmarks/flowgrind/Makefile    | 2 +-
 biology/bcftools/Makefile        | 1 +
 biology/gemma/Makefile           | 2 +-
 biology/viennarna/Makefile       | 2 +-
 cad/graywolf/Makefile            | 2 +-
 comms/gnuradio/Makefile          | 1 +
 devel/indi/Makefile              | 1 +
 editors/calligra/Makefile        | 2 +-
 graphics/enblend/Makefile        | 2 +-
 graphics/inkscape/Makefile       | 2 +-
 graphics/ipe/Makefile            | 2 +-
 graphics/krita/Makefile          | 2 +-
 graphics/luminance-qt5/Makefile  | 2 +-
 graphics/mandelbulber/Makefile   | 1 +
 graphics/nip2/Makefile           | 2 +-
 graphics/pfstools/Makefile       | 2 +-
 graphics/qgis-ltr/Makefile       | 1 +
 graphics/qgis/Makefile           | 1 +
 lang/algol68g/Makefile           | 2 +-
 mail/bogofilter-kc/Makefile      | 2 +-
 mail/bogofilter-lmdb/Makefile    | 2 +-
 mail/bogofilter-sqlite/Makefile  | 2 +-
 mail/bogofilter/Makefile         | 2 +-
 math/R-cran-gsl/Makefile         | 1 +
 math/asymptote/Makefile          | 2 +-
 math/deal.ii/Makefile            | 2 +-
 math/dieharder/Makefile          | 2 +-
 math/freefem++/Makefile          | 2 +-
 math/giacxcas/Makefile           | 2 +-
 math/labplot/Makefile            | 2 +-
 math/lib2geom/Makefile           | 1 +
 math/mathgl/Makefile             | 1 +
 math/ocamlgsl/Makefile           | 2 +-
 math/octave-forge-gsl/Makefile   | 2 +-
 math/oleo/Makefile               | 2 +-
 math/orpie/Makefile              | 2 +-
 math/p5-Alien-GSL/Makefile       | 1 +
 math/p5-Math-GSL/Makefile        | 1 +
 math/pspp/Makefile               | 1 +
 math/py-cvxopt/Makefile          | 1 +
 math/py-pygsl/Makefile           | 2 +-
 math/py-pygslodeiv2/Makefile     | 2 +-
 math/rubygem-rb-gsl/Makefile     | 2 +-
 math/sage/Makefile               | 2 +-
 misc/visp/Makefile               | 2 +-
 science/afni/Makefile            | 1 +
 science/antioch/Makefile         | 2 +-
 science/dakota/Makefile          | 2 +-
 science/dynare/Makefile          | 1 +
 science/erkale/Makefile          | 2 +-
 science/fisicalab/Makefile       | 2 +-
 science/getdp/Makefile           | 1 +
 science/gnudatalanguage/Makefile | 1 +
 science/helfem/Makefile          | 2 +-
 science/jdftx/Makefile           | 2 +-
 science/kst2/Makefile            | 2 +-
 science/nest/Makefile            | 1 +
 science/octopus/Makefile         | 1 +
 science/plumed/Makefile          | 2 +-
 science/scidavis/Makefile        | 2 +-
 science/step/Makefile            | 1 +
 66 files changed, 66 insertions(+), 45 deletions(-)
Comment 7 commit-hook freebsd_committer 2022-01-12 19:42:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a569c6e6c3d41c84172699d08e170309d039bca9

commit a569c6e6c3d41c84172699d08e170309d039bca9
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2022-01-12 19:31:31 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2022-01-12 19:35:22 +0000

    math/p5-Math-GSL: prepare again for gsl-2.7.1

    - Note, this project seems mostly dead upstream and the
      support for gsl 2.7.* is likely not really functional.

    - The initial fix was reverted in 1a2add4b174eac35a3a4c36eb8e653ab72eb87ae

    PR:             260201

 math/p5-Math-GSL/files/patch-inc_Ver2Func.pm (new) | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 8 Tobias C. Berner freebsd_committer 2022-01-12 19:43:26 UTC
Committed. Thanks for the exp-run.